<?php


namespace App\Admin\Controllers\Chart;
use Encore\Admin\Widgets\Box;
use Encore\Admin\Widgets\Echarts\Echarts;
use Encore\Admin\Widgets\Form;
use Encore\Admin\Layout\Row;
use Encore\Admin\Layout\Column;
use Encore\Admin\Widgets\Collapse;


class Order
{
    public  function chart(Row $row)
    {
        $id = 'n_id';
        $row->column(12,function (Column $column)use ($id){

            $form = new Form();
            $form->disableReset();
            $form->disableSubmit();
            $end = request('time_end')?:date('Y-m-d H:i:s',strtotime(date("Y-12-31 23:59:59")));
            $start = request('time_start')?:date('Y-m-d H:i:s',strtotime(date("Y-01-01 00:00:01")));
            $nowYear = date('Y');
            $nowMonth = date('m');
            $year = range(2000,2099);
            foreach ($year as $v){
                $realYear[$v]=$v;
            }
            $month = range(1,12);
            $type = request('type',1);


            $chartData =self::getData($type);


            $filter_content = new Row(function (Column $col)use ($form,$type,$realYear,$nowYear,$month,$nowMonth){
                $col->row(function (Row $row)use ($form,$type,$realYear,$nowYear,$month,$nowMonth){
                    $form->select('year','年份')->options($realYear)->default($nowYear);
                    $form->select('month','月份')->options($month)->default($nowMonth);
                    $form->action('/admin');
                    $row->column(6,$form->render());
                });
            });
            $col = new Collapse();
            $col->add('筛选',$filter_content->render());

            $column->append($col->render());
//            $column->row(function (Row $row)use ($chartData){
//                $row->column(6,function (Column $column)use ($chartData){
//                    $echarts = (new Echarts('用户变化曲线', '','user_change'))
//                        ->setData($chartData['person']['d'])
//                        ->bindLegend($chartData['person']['h'])->setShowToolbox(true);
//                    return $column->append(new  Box('',$echarts));
//                });
//            });
            return $column           ;
        });
    }

    public function getData($type)
    {
//        1=>'按天查看',
//        2=>'按月查看',
//3=>'按年查看',

//        Order::where([''])->;
    }
}
